<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
        xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
        xmlns:pm="http://primefaces.org/mobile">
<f:view renderKitId="PRIMEFACES_MOBILE" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<h:head>
        <title>Sistemas Citricos</title> 
    <style type="text/css"> 
        .ui-scrollpanel p {
            width: 500px;
            font-size: 16px;
        }
    </style>
    <script>
        function back()
        {
            PrimeFaces.Mobile.navigate('#login',
            {
                    transition:'turn'
            });  
        }
    </script>
</h:head>
<h:body>
    <pm:page id="bascula">
        <pm:header>
            Registros (operación)
        </pm:header>
        <pm:content>
            <h:form id="indexForm">
                <p:panel header="Pallet  LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]">
                     <p:messages id="mensaje" showDetail="true" autoUpdate="true" />
                     <p:growl id="growl" showDetail="true" sticky="true"></p:growl>
                    <p:scrollPanel mode="native" style="width:99%;height:500px">
                        <p:dataList id="datalist" value="#{palletMB.todos}"
                                    var="registros" pt:data-filter="true"  
                                    pt:data-filter-placeholder="Búsqueda por filtro" style="width:90%;height:100%" >
                            <p:commandLink action="#{palletMB.seleccionEditarMobile(registros)}">
                                <f:setPropertyActionListener value="#{registros}" target="#{palletMB.registroSeleccionado}" />   
                                <f:param name="id" value="#{registros.id}"/>
                                <h:panelGroup>
                                    <h:outputText value="#{registros.id} - #{registros.numero}"/>
                                </h:panelGroup>
                            </p:commandLink>
                        </p:dataList>
                    </p:scrollPanel>
                </p:panel>
            </h:form>
        </pm:content>
        <pm:footer>
            <p:button value="Menú" outcome="./menup.xhtml"  style="width:100%;height:30px;font-weight: bold;margin-right:30px;" />
        </pm:footer>
    </pm:page>
</h:body>
</html>